<?php
/**

 * @desc<pre>Smarty plugin
 * -------------------------------------------------------------
 * File:     modifier.isbn_format.php
 * Type:     modifier
 * Name:     format_isbn
 * Purpose:  format a US-style 10-digit isbn number
 * -------------------------------------------------------------
 *</pre>
 * @param string $number a isbn number
 * @param $format a printf style format string
 * @return string $number, the number formatted if 10 digits, else original untouched.
 * @author dmintz@davidmintz.org
 */


function smarty_modifier_isbn_format($number, $format="%s-%s-%s-%s") {
    //974-88615-1-1
    //978-616-7119-20-5
   $original = $number;
   $number = preg_replace("/\D/","",$number);
   if (strlen($number) == 10)
       return  sprintf(
             "%s-%s-%s-%s",
             substr($number,0,3),
             substr($number,3,5),
             substr($number,8,1),
             substr($number,9,1)
          );
   elseif(strlen($number) == 13){
       return  sprintf(
             "%s-%s-%s-%s-%s",
             substr($number,0,3),
             substr($number,3,3),
             substr($number,6,4),
             substr($number,10,2),
             substr($number,12,1)
          );
   }
}

?>